Create a remediation job for one device

Initiates a Job to remediate one or more issues on a specific device. If no specific issues are sent, then the Job remediates all issues on the device that have a remediation available.

If dry_run is set to true, the endpoint returns the list of issues that will be targeted by the Job, but no actions will be taken.

Path Params
string
required

The device ID. Use the device_id returned by GET /devices.

Body Params
issues
array of strings
length ≥ 1

A list of specific issue IDs to remediate. Specify issues that are currently affecting the device and have an available remediation. When the job is created the endpoint returns the list of issues that the job targets, so you can confirm that the job was able to successfully target your specified issues (use dry_run to confirm this before actually creating the job). If no specific issues IDs are sent, the job remediates all issues on the device that have an available remediation.

issues
string

Display name for the job. Defaults to a generated name if omitted.

string

Optional description for the job.

boolean

If true, returns the list of issues that would be targeted without creating the job. Use this to verify the job's target issue scope before actually creating the job.

patch_installation_schedule
object

Controls when downloaded patches and vulnerability remediations are installed. Omit this object entirely to install immediately once downloaded.

schedule
object
deprecated

Deprecated alias for patch_installation_schedule. Use patch_installation_schedule instead.

patch_download_schedule
object

Controls when patches and vulnerability remediations are downloaded. Omit this object entirely to download immediately.

misconfig_mitigation_schedule
object

Controls when misconfiguration checks are run. Omit this object entirely to run immediately.

compliance_mitigation_schedule
object

Controls when compliance checks are run. Omit this object entirely to run immediately.

remediation_behavior
object

Controls how applications and the device are handled during remediation.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json